.\"	$NetBSD: adw.4,v 1.7 2001/09/11 17:39:00 wiz Exp $
.\"
.\" Copyright (c) 1998, 1999, 2000 Baldassare Dante Profeta
.\" 	All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd February 3, 2000
.Dt ADW 4
.Os
.Sh NAME
.Nm adw
.Nd ConnectCom Solutions AdvanSys PCI Ultra Wide SCSI host adapter driver
.Sh SYNOPSIS
.Cd "adw* at pci? dev ? function ?"
.Cd "scsibus* at adw?"
.Pp
.Cd "options FAILSAFE"
.Cd "options SCSI_ADW_WDTR_DISABLE=mask"
.Cd "options SCSI_ADW_SDTR_DISABLE=mask"
.Cd "options SCSI_ADW_TAGQ_DISABLE=mask"
.Sh DESCRIPTION
The
.Nm
driver provides support for the ADW (AdvanSys) ABP-940UW, ASB-3940UW,
ASB-3940U2W
.Tn SCSI
host adapters.
.Pp
The following kernel configuration options are available:
.Bl -ohang
.It Cd options FAILSAFE
Disables tagged command queuing, wide data transfers and synchronous
data transfers for all
.Tn SCSI
devices controlled by the
.Nm
driver.
By default, tagged command queuing, wide data transfers and
synchronous data transfers are used if the
.Tn SCSI
devices support them.
.Pp
The following options use a
.Em mask
to specify which SCSI peripherals the option applies to.
The
.Em mask
is a 16 bit bitfield value. Each bit corresponds to a peripheral ID.
The LSB (bit 0) corresponds to the peripheral with ID 0.
The MSB (bit 15) corresponds to the peripheral with ID 15.
The following features cannot be disabled for the host adapter, which by
default has ID 7.
.It Cd options SCSI_ADW_WDTR_DISABLE=mask
Disable
.Tn WIDE
data transfer for the peripherals specified by the mask value.
.It Cd options SCSI_ADW_SDTR_DISABLE=mask
Disable
.Tn SYNCHRONOUS
data transfer for the peripherals specified by the mask value.
.It Cd options SCSI_ADW_TAGQ_DISABLE=mask
Disable
.Tn TAGGED COMMAND QUEUING
for the peripherals specified by the mask value.
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4 ,
.Xr uk 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.4 .
.Sh AUTHORS
.An Baldassare Dante Profeta
.Aq dante@NetBSD.org .
